Summary: 	A library for performing sample rate conversion on audio.
Name: 		libsamplerate
Version: 	0.0.15
Release: 	0.fdr.5.rh90
Epoch: 		0
License: 	GPL
Group: 		System Environment/Libraries
URL: 		http://www.mega-nerd.com/SRC/
Source0: 	http://www.mega-nerd.com/SRC/%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libsndfile-devel >= 0:1.0.2
BuildRequires:	pkgconfig fftw-devel

%package devel
Summary: 	Development package for %{name}
Group: 		Development/Libraries
Requires: 	%{name} = %{epoch}:%{version}-%{release}

# -----------------------------------------------------------------------------

%description
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.

%description devel
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.
This package contains development files for %{name}

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags} 

# -----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT _doc
%makeinstall
mkdir _doc 
cp -a doc _doc
rm _doc/doc/Makefile* _doc/doc/NEWS _doc/doc/ChangeLog

# -----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

# -----------------------------------------------------------------------------

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig



%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog _doc/doc/*
%{_bindir}/sndfile-resample
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root,-)
%exclude %{_libdir}/lib*.la
%{_includedir}/samplerate.h
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/samplerate.pc

# -----------------------------------------------------------------------------

%changelog
* Tue Jul 13 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0:0.0.15-0.fdr.5
- Fix %%postun (#1665).

* Sat Jun 28 2003 Dams <anvil[AT]livna.org> 0:0.0.15-0.fdr.4
- Applied changes about doc from Michael Schwendt

* Sat Jun 28 2003 Dams <anvil[AT]livna.org> 0:0.0.15-0.fdr.3
- Modified doc inclusion way

* Wed Jun 25 2003 Dams <anvil[AT]livna.org> 0:0.0.15-0.fdr.2
- Added some more doc

* Thu May 22 2003 Dams <anvil[AT]livna.org> 
- Initial build.
